Skip to main content
Resource Center/Network Service/Network Service Operations/IPsec Operations
PUTIPsec OperationsSince 4.5.0SynchronousAuth Required

ChangeIPsecConnection

ChangeIPsecConnection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • changeipsecconnectionObjectRequired

    changeipsecconnection request body object.

    • peerAddressStringRequired

      The remote network address.

    • authModeString

      Optional. The authentication mode.

    • authKeyStringRequired

      The authentication key.

    • idTypeString

      Optional. The ID configuration method.

    • localIdString

      Optional. The local ID.

    • remoteIdString

      Optional. The remote ID.

    • ikeVersionString

      Optional. The IKE version.

    • ikeAuthAlgorithmString

      Optional. The IKE authentication algorithm.

    • ikeEncryptionAlgorithmString

      Optional. The IKE encryption algorithm.

    • ikeDhGroupint

      Optional. The IKE DH group.

    • ikeLifeTimeint

      Optional. The IKE lifetime.

    • policyAuthAlgorithmString

      Optional. The ESP authentication algorithm.

    • policyEncryptionAlgorithmString

      Optional. The ESP encryption algorithm.

    • pfsString

      Optional. The PFS DH Group.

    • policyModeString

      Optional. The encryption mode.

    • transformProtocolString

      Optional. The security protocol.

    • lifeTimeint

      Optional. The IPsec lifetime.

  • systemTagsList

    Optional. The system tag.

  • userTagsList

    Optional. The user tag.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryIPsecConnectionInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • peerAddressStringRequired

      The remote network address.

    • authModeStringRequired

      The authentication mode.

    • authKeyStringRequired

      The authentication key.

    • vipUuidStringRequired

      The VIP UUID.

    • ikeAuthAlgorithmStringRequired

      The IKE authentication algorithm.

    • ikeEncryptionAlgorithmStringRequired

      The IKE encryption algorithm.

    • ikeDhGroupIntegerRequired

      The IKE DH group.

    • policyAuthAlgorithmStringRequired

      The ESP authentication algorithm.

    • policyEncryptionAlgorithmStringRequired

      The ESP encryption algorithm.

    • pfsStringRequired

      The PFS DH group.

    • policyModeStringRequired

      The encryption mode.

    • transformProtocolStringRequired

      The security protocol.

    • ikeVersionStringRequired

      The IKE version.

    • idTypeStringRequired

      The ID configuration method.

    • localIdStringRequired

      The local ID.

    • remoteIdStringRequired

      The remote ID.

    • stateStringRequired

      The running state.

    • statusStringRequired

      The ready status.

    • ikeLifeTimeintRequired

      The IKE lifetime.

    • lifeTimeintRequired

      The IPsec lifetime.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • peerCidrsListRequired

      See peerCidrs

      • uuidStringRequired

        The resource UUID.

      • cidrStringRequired

        No description provided.

      • connectionUuidStringRequired

        连接UUID。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • l3NetworkRefsListRequired

      See l3NetworkRefs

      • uuidStringRequired

        The resource UUID.

      • connectionUuidStringRequired

        连接UUID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/ipsec/config/{uuid}

/zstack/v1/ipsec/config/{uuid}

Operation ID

ChangeIPsecConnection

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/ipsec/config/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeipsecconnection":{"peerAddress":"<peerAddress>","authMode":"<authMode>","authKey":"<authKey>","idType":"<idType>","localId":"<localId>","remoteId":"<remoteId>","ikeVersion":"<ikeVersion>","ikeAuthAlgorithm":"<ikeAuthAlgorithm>","ikeEncryptionAlgorithm":"<ikeEncryptionAlgorithm>","ikeDhGroup":1,"ikeLifeTime":1,"policyAuthAlgorithm":"<policyAuthAlgorithm>","policyEncryptionAlgorithm":"<policyEncryptionAlgorithm>","pfs":"<pfs>","policyMode":"<policyMode>","transformProtocol":"<transformProtocol>","lifeTime":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "Test-IPSec", "description": "desc info ", "peerAddress": "100.64.10.10", "authKey": "auth", "vipUuid": "9f580de9b80c32feb149be989f5c9158", "ikeLifeTime": 0.0, "lifeTime": 0.0, "peerCidrs": [ { "uuid": "c97d7be1bae43cac8fad2099ab9d4ef3", "cidr": "192.168.100.0/24", "connectionUuid": "5700953056a03c589a264faa51db6a8f", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "l3NetworkRefs": [ {} ] } }

Change History

This API has no change history records yet.

View all change history